import { IData } from "../../media/data";
import { Num } from "../../numbering/num";
import { Run } from "../run";
import { PictureRun } from "../run/picture-run";
import { TextRun } from "../run/text-run";
import { XmlComponent } from "../xml-components";
import { ISpacingProperties } from "./formatting/spacing";
export declare class Paragraph extends XmlComponent {
    private properties;
    constructor(text?: string);
    addRun(run: Run): Paragraph;
    createTextRun(text: string): TextRun;
    createPictureRun(imageData: IData): PictureRun;
    heading1(): Paragraph;
    heading2(): Paragraph;
    heading3(): Paragraph;
    heading4(): Paragraph;
    heading5(): Paragraph;
    title(): Paragraph;
    center(): Paragraph;
    left(): Paragraph;
    right(): Paragraph;
    justified(): Paragraph;
    thematicBreak(): Paragraph;
    pageBreak(): Paragraph;
    maxRightTabStop(): Paragraph;
    leftTabStop(position: number): Paragraph;
    rightTabStop(position: number): Paragraph;
    centerTabStop(position: number): Paragraph;
    bullet(): Paragraph;
    setNumbering(numbering: Num, indentLevel: number): Paragraph;
    style(styleId: string): Paragraph;
    indent(attrs: object): Paragraph;
    spacing(params: ISpacingProperties): Paragraph;
    keepNext(): Paragraph;
    keepLines(): Paragraph;
}
