"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const xml_components_1 = require("../xml-components");
class TableGrid extends xml_components_1.XmlComponent {
    constructor(cols) {
        super("w:tblGrid");
        cols.forEach((col) => this.root.push(new GridCol(col)));
    }
}
exports.TableGrid = TableGrid;
class GridColAttributes extends xml_components_1.XmlAttributeComponent {
    constructor() {
        super(...arguments);
        this.xmlKeys = { w: "w:w" };
    }
}
class GridCol extends xml_components_1.XmlComponent {
    constructor(width) {
        super("w:gridCol");
        if (width !== undefined) {
            this.root.push(new GridColAttributes({ w: width }));
        }
    }
}
exports.GridCol = GridCol;
//# sourceMappingURL=grid.js.map