import { Paragraph } from "../paragraph";
import { XmlComponent } from "../xml-components";
import { IXmlableObject } from "../xml-components/xmlable-object";
import { WidthTypes } from "./properties";
export declare class Table extends XmlComponent {
    private properties;
    private rows;
    private grid;
    constructor(rows: number, cols: number);
    getRow(ix: number): TableRow;
    getCell(row: number, col: number): TableCell;
    setWidth(type: WidthTypes, width: number | string): Table;
    fixedWidthLayout(): Table;
}
export declare class TableRow extends XmlComponent {
    private properties;
    private cells;
    constructor(cells: TableCell[]);
    getCell(ix: number): TableCell;
}
export declare class TableRowProperties extends XmlComponent {
    constructor();
}
export declare class TableCell extends XmlComponent {
    private properties;
    constructor();
    addContent(content: Paragraph | Table): TableCell;
    prepForXml(): IXmlableObject;
    createParagraph(text?: string): Paragraph;
}
export declare class TableCellProperties extends XmlComponent {
    constructor();
}
