/// <reference types="archiver" />
/// <reference types="node" />
/// <reference types="express" />
import * as archiver from "archiver";
import * as express from "express";
import * as fs from "fs";
import { Document } from "../../docx";
import { Media } from "../../media";
import { Numbering } from "../../numbering";
import { Properties } from "../../properties";
import { Styles } from "../../styles";
export declare class Compiler {
    protected document: Document;
    private properties;
    private numbering;
    private media;
    protected archive: archiver.Archiver;
    private formatter;
    private style;
    constructor(document: Document, style?: Styles, properties?: Properties, numbering?: Numbering, media?: Media);
    compile(output: fs.WriteStream | express.Response): Promise<void>;
}
