"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatting_1 = require("../../docx/run/formatting");
const properties_1 = require("../../docx/run/properties");
const run_fonts_1 = require("../../docx/run/run-fonts");
const xml_components_1 = require("../../docx/xml-components");
class RunPropertiesDefaults extends xml_components_1.XmlComponent {
    constructor() {
        super("w:rPrDefault");
        this.properties = new properties_1.RunProperties();
        this.root.push(this.properties);
    }
    size(size) {
        this.properties.push(new formatting_1.Size(size));
        return this;
    }
    font(fontName) {
        this.properties.push(new run_fonts_1.RunFonts(fontName));
        return this;
    }
}
exports.RunPropertiesDefaults = RunPropertiesDefaults;
//# sourceMappingURL=run-properties.js.map