"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatting_1 = require("../docx/run/formatting");
const _1 = require("./");
const style_1 = require("./style");
class DefaultStylesFactory {
    newInstance() {
        const styles = new _1.Styles();
        styles.createDocumentDefaults();
        const titleStyle = new style_1.TitleStyle();
        titleStyle.addRunProperty(new formatting_1.Size(56));
        styles.push(titleStyle);
        const heading1Style = new style_1.Heading1Style();
        heading1Style.addRunProperty(new formatting_1.Color("2E74B5"));
        heading1Style.addRunProperty(new formatting_1.Size(32));
        styles.push(heading1Style);
        const heading2Style = new style_1.Heading2Style();
        heading2Style.addRunProperty(new formatting_1.Color("2E74B5"));
        heading2Style.addRunProperty(new formatting_1.Size(26));
        styles.push(heading2Style);
        const heading3Style = new style_1.Heading3Style();
        heading3Style.addRunProperty(new formatting_1.Color("1F4D78"));
        heading3Style.addRunProperty(new formatting_1.Size(24));
        styles.push(heading3Style);
        const heading4Style = new style_1.Heading4Style();
        heading4Style.addRunProperty(new formatting_1.Color("2E74B5"));
        heading4Style.addRunProperty(new formatting_1.Italics());
        styles.push(heading4Style);
        const heading5Style = new style_1.Heading5Style();
        heading5Style.addRunProperty(new formatting_1.Color("2E74B5"));
        styles.push(heading5Style);
        const heading6Style = new style_1.Heading6Style();
        heading6Style.addRunProperty(new formatting_1.Color("1F4D78"));
        styles.push(heading6Style);
        const listParagraph = new style_1.ListParagraph();
        styles.push(listParagraph);
        return styles;
    }
}
exports.DefaultStylesFactory = DefaultStylesFactory;
//# sourceMappingURL=factory.js.map